package tcra.exercises;

import tcra.exercises.resolve_preemptable_queue_private.*;

public class ResolvePreemptableQueueExercise extends
      ResolveBoundedQueueExercise
{
   public ResolvePreemptableQueueExercise()
   {
      super();
      contracts.add(new ResolvePreemptableQueue_InjectContract());
      contracts.add(new ResolvePreemptableQueue_Swap_Last_EntryContract());
   } // end ctor
} // end class
